メインコンテンツへスキップ
POST
/
media-bridge
/
v1
/
{appId}
/
properties
/
{objectType}
/
batch
/
read
Get the details for multiple properties
curl --request POST \
  --url https://api.hubapi.com/media-bridge/v1/{appId}/properties/{objectType}/batch/read \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "archived": true,
  "inputs": [
    {
      "name": "<string>"
    }
  ]
}
'
import requests

url = "https://api.hubapi.com/media-bridge/v1/{appId}/properties/{objectType}/batch/read"

payload = {
"archived": True,
"inputs": [{ "name": "<string>" }]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({archived: true, inputs: [{name: '<string>'}]})
};

fetch('https://api.hubapi.com/media-bridge/v1/{appId}/properties/{objectType}/batch/read', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "completedAt": "2023-11-07T05:31:56Z",
  "results": [
    {
      "allowedObjectTypes": [
        {
          "innerId": 123,
          "metaTypeId": 123
        }
      ],
      "calculated": true,
      "canArchive": true,
      "canRestore": true,
      "createdAt": 123,
      "createdUserId": 123,
      "currencyPropertyName": "<string>",
      "deleted": true,
      "description": "<string>",
      "displayOrder": 123,
      "enforceMultivalueUniqueness": true,
      "externalOptions": true,
      "externalOptionsReferenceType": "<string>",
      "favorited": true,
      "favoritedOrder": 123,
      "fieldType": "<string>",
      "formField": true,
      "fromUserId": 123,
      "groupName": "<string>",
      "hasUniqueValue": true,
      "hidden": false,
      "hubspotDefined": true,
      "isCustomizedDefault": true,
      "isMultiValued": true,
      "isPartial": true,
      "label": "<string>",
      "mutableDefinitionNotDeletable": true,
      "name": "<string>",
      "options": [
        {
          "description": "<string>",
          "displayOrder": 123,
          "doubleData": 123,
          "hidden": true,
          "label": "<string>",
          "readOnly": true,
          "value": "<string>"
        }
      ],
      "optionsAreMutable": true,
      "owningAppId": 123,
      "portalId": 123,
      "readOnlyDefinition": true,
      "readOnlyValue": true,
      "searchableInGlobalSearch": true,
      "sensitiveDataCategories": [
        "<string>"
      ],
      "showCurrencySymbol": true,
      "updatedAt": 123
    }
  ],
  "startedAt": "2023-11-07T05:31:56Z",
  "links": {},
  "requestedAt": "2023-11-07T05:31:56Z"
}
{
"completedAt": "2023-11-07T05:31:56Z",
"results": [
{
"allowedObjectTypes": [
{
"innerId": 123,
"metaTypeId": 123
}
],
"calculated": true,
"canArchive": true,
"canRestore": true,
"createdAt": 123,
"createdUserId": 123,
"currencyPropertyName": "<string>",
"deleted": true,
"description": "<string>",
"displayOrder": 123,
"enforceMultivalueUniqueness": true,
"externalOptions": true,
"externalOptionsReferenceType": "<string>",
"favorited": true,
"favoritedOrder": 123,
"fieldType": "<string>",
"formField": true,
"fromUserId": 123,
"groupName": "<string>",
"hasUniqueValue": true,
"hidden": false,
"hubspotDefined": true,
"isCustomizedDefault": true,
"isMultiValued": true,
"isPartial": true,
"label": "<string>",
"mutableDefinitionNotDeletable": true,
"name": "<string>",
"options": [
{
"description": "<string>",
"displayOrder": 123,
"doubleData": 123,
"hidden": true,
"label": "<string>",
"readOnly": true,
"value": "<string>"
}
],
"optionsAreMutable": true,
"owningAppId": 123,
"portalId": 123,
"readOnlyDefinition": true,
"readOnlyValue": true,
"searchableInGlobalSearch": true,
"sensitiveDataCategories": [
"<string>"
],
"showCurrencySymbol": true,
"updatedAt": 123
}
],
"startedAt": "2023-11-07T05:31:56Z",
"errors": [
{
"category": "<string>",
"context": {},
"errors": [
{
"message": "<string>",
"code": "<string>",
"context": "{missingScopes=[scope1, scope2]}",
"in": "<string>",
"subCategory": "<string>"
}
],
"links": {},
"message": "<string>",
"status": "<string>",
"id": "<string>",
"subCategory": {}
}
],
"links": {},
"numErrors": 123,
"requestedAt": "2023-11-07T05:31:56Z"
}
{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}

Supported products

承認

Authorization
string
header
必須

The access token received from the authorization server in the OAuth 2.0 flow.

パスパラメータ

appId
integer<int32>
必須
objectType
string
必須

ボディ

application/json
archived
boolean
必須
dataSensitivity
enum<string>
必須
利用可能なオプション:
highly_sensitive,
non_sensitive,
sensitive
inputs
object[]
必須

レスポンス

successful operation

completedAt
string<date-time>
必須
results
object[]
必須
startedAt
string<date-time>
必須
status
enum<string>
必須
利用可能なオプション:
CANCELED,
COMPLETE,
PENDING,
PROCESSING
requestedAt
string<date-time>
最終更新日 2026年4月13日